Support » Plugin: Ocean Extra » WordPress update 5.3

  • Resolved sam1215

    (@sam1215)


    WordPress update 5.3 messed up my site. How do I fix this mess?? See below Warning.
    WordPress told me to ask in here for the help I needed.

    Warning: Declaration of QuietSkin::feedback($string) should be compatible with WP_Upgrader_Skin::feedback($string, …$args) in /home2/luka/public_html/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php on line 12

    The page I need help with: [log in to see the link]

Viewing 10 replies - 1 through 10 (of 10 total)
  • This trend was started in 5.3 throws an error

    Disable the ocean extra plugin if you can. And wait to hear about a fix.

    @maggieymae I did and my site looks like shit now… I’m losing customers this is 4th quarter the busiest year for me.

    • This reply was modified 2 months, 1 week ago by sam1215.

    I turned off php messages in wp-config.php and it cleared it. You have to replace the line you may already have that says:
    define(‘WP_DEBUG_DISPLAY’, false); (could also be set to true)

    with this:

    Added this to turn off error message reporting to wp-config.php and it worked
    ini_set(‘display_errors’,’Off’);
    ini_set(‘error_reporting’, E_ALL );
    define(‘WP_DEBUG’, false);
    define(‘WP_DEBUG_DISPLAY’, false);

    Obviously make a backup of the file first. I got the same error as well and this fixed it.

    It not fixes the error -it just hide displaying it … don’t confuse FIX with hiding …

    https://wordpress.org/support/topic/5-3-throws-an-error/#post-12124813 here is solution to the error that will be implemented in update

    Hello,

    following this topic as i do have the same problem! Did not try your sulutuon yet @iguanamom because I think there is a general problem with OceanWP. Luckily I only have only 3 from their paid Plugins installed. But they are not working anymore either!

    Let’t hope that OceanWP sorts that out quickly!

    Angela

    Same issue here; posted the bug description as well as the message itself on OceanWP’s own support forum; unfortunately no reply so far. Still waiting and patiently enduring the error 😉

    oldcabinwp

    (@oldcabinwp)

    FIX YOUR PLUG IN!!!

    GREAT WAY TO LOOSES USERS

    PRIOR TO THE WP UPDATE I HAD ALREADY STOPPED USING YOUR PLUGIN SINCE IT HAS TOO MANY BUGS

    valdemarfreitas

    (@valdemarfreitas)

    I have the same problem
    this message appears in my WordPress dashboard op and my website header

    Warning: Declaration of QuietSkin::feedback($string) should be compatible with WP_Upgrader_Skin::feedback($string, …$args) in /home2/crerma44/casadeesther.com/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php on line 12

    Warning: Cannot modify header information – headers already sent by (output started at /home2/crerma44/casadeesther.com/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php:12) in /home2/crerma44/casadeesther.com/wp-includes/functions.php on line 5946

    Warning: Cannot modify header information – headers already sent by (output started at /home2/crerma44/casadeesther.com/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php:12) in /home2/crerma44/casadeesther.com/wp-admin/includes/misc.php on line 1252

    Warning: Cannot modify header information – headers already sent by (output started at /home2/crerma44/casadeesther.com/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php:12) in /home2/crerma44/casadeesther.com/wp-admin/includes/template.php on line 1960

    iguanamom

    (@iguanamom)

    @damador1 I am aware that this code hides php errors and does not FIX the underlying issue which the author needs to sort out. My contribution was to those who don’t prefer to have the error message showing across every page.

Viewing 10 replies - 1 through 10 (of 10 total)
  • You must be logged in to reply to this topic.